#!/bin/sh
# !!! Do not use 'start', 'restart' or 'stop' interface names in list !!!

list=""

argus="/usr/local/bin/argus"
run="/var/run/argus"
log="/var/net/log"

case "${1}" in
restart)
    "${0}" stop
    "${0}" start
    ;;
start)
    if [ -x ${argus} ]; then
        for i in ${list}; do
            echo -n " argus@${i}"
            "${0}" "${i}" &
            echo $! > "${run}@${i}.dog"
        done
    fi
    ;;
stop)
    for i in ${list}; do
        echo -n " argus@${i}"
        kill `cat "${run}@${i}.dog"` 2> /dev/null
        rm -f "${run}@${i}.dog"
        kill `cat "${run}@${i}"` 2> /dev/null
        rm -f "${run}@${i}"
    done
    ;;
"")
    echo "Use: ${0} start|stop|restart"
    exit 1
    ;;
*)
    echo $$ > "${run}@${1}.dog"
    while /usr/bin/true; do
        [ -e "${log}/${1}" ] && mv -f "${log}/${1}" "${log}/${1}_`/bin/date +%Y-%m-%d_%H:%M:%S`"
        ${argus} -i "${1}" -pP0 -w "${log}/${1}" 2> /dev/null &
        echo $! > "${run}@${1}"
        wait
        sleep 6
    done
    ;;
esac
